<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-431"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20UIColor%28Hex%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: UIColor(Hex)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_color_07_hex_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> |
<a href="category_u_i_color_07_hex_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIColor(Hex)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_color_09_hex_8h_source.html">UIColor+Hex.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:ae687f69d612d4eafbdb037818cb920b7"><td class="memItemLeft" align="right" valign="top">(UIColor *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_color_07_hex_08.html#ae687f69d612d4eafbdb037818cb920b7">colorWithHexString:</a></td></tr>
<tr class="memdesc:ae687f69d612d4eafbdb037818cb920b7"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">color:支持@&ldquo;#123456&rdquo;、 @&ldquo;0X123456&rdquo;、 @&ldquo;123456&rdquo;三种格式  <a href="category_u_i_color_07_hex_08.html#ae687f69d612d4eafbdb037818cb920b7">更多...</a><br/></td></tr>
<tr class="separator:ae687f69d612d4eafbdb037818cb920b7"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a55ab05f6ac4c655bbeaafb4c68927c51"><td class="memItemLeft" align="right" valign="top">(UIColor *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_color_07_hex_08.html#a55ab05f6ac4c655bbeaafb4c68927c51">colorWithHexString:alpha:</a></td></tr>
<tr class="memdesc:a55ab05f6ac4c655bbeaafb4c68927c51"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">color:支持@&ldquo;#123456&rdquo;、 @&ldquo;0X123456&rdquo;、 @&ldquo;123456&rdquo;三种格式  <a href="category_u_i_color_07_hex_08.html#a55ab05f6ac4c655bbeaafb4c68927c51">更多...</a><br/></td></tr>
<tr class="separator:a55ab05f6ac4c655bbeaafb4c68927c51"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock"><p>从十六进制字符串获取颜色， </p>
</div><h2 class="groupheader">函数文档</h2>
<a id="ae687f69d612d4eafbdb037818cb920b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae687f69d612d4eafbdb037818cb920b7">◆&nbsp;</a></span>colorWithHexString:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIColor *) colorWithHexString: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>color:支持@&ldquo;#123456&rdquo;、 @&ldquo;0X123456&rdquo;、 @&ldquo;123456&rdquo;三种格式 </p>

</div>
</div>
<a id="a55ab05f6ac4c655bbeaafb4c68927c51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55ab05f6ac4c655bbeaafb4c68927c51">◆&nbsp;</a></span>colorWithHexString:alpha:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIColor *) <a class="el" href="category_u_i_color_07_hex_08.html#ae687f69d612d4eafbdb037818cb920b7">colorWithHexString:</a> </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">alpha:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>alpha</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>color:支持@&ldquo;#123456&rdquo;、 @&ldquo;0X123456&rdquo;、 @&ldquo;123456&rdquo;三种格式 </p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_color_09_hex_8h_source.html">UIColor+Hex.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_color_09_hex_8m.html">UIColor+Hex.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_color_07_hex_08.html">UIColor(Hex)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>